All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
include/roboptim/core/debug.hh File Reference
`#include <log4cxx/logger.h>`
`#include <roboptim/core/indent.hh>`

## Macros

#define | RoboptimCoreDebug(STATEMENT)
#define | RoboptimCoreDout(cntrl, data)
#define | RoboptimCoreDoutFatal(cntrl, data)
#define | RoboptimCoreForAllDebugChannels(STATEMENT)
#define | RoboptimCoreForAllDebugObjects(STATEMENT)
#define | ROBOPTIM_DEBUG_ONLY(X) X

## Macro Definition Documentation

#define ROBOPTIM_DEBUG_ONLY | ( |  | X | ) | X

#define RoboptimCoreDebug | ( |  | STATEMENT | ) |

Value:
LOG4CXX_DEBUG(log4cxx::Logger::getLogger("roboptim.core"), \
STATEMENT)

#define RoboptimCoreDout | ( |  | cntrl,
|  |  | data
| ) |  |

Value:
LOG4CXX_INFO(log4cxx::Logger::getLogger("roboptim.core"), \
data)

#define RoboptimCoreDoutFatal | ( |  | cntrl,
|  |  | data
| ) |  |

Value:
LOG4CXX_INFO(log4cxx::Logger::getLogger("roboptim.core"), \
data)

#define RoboptimCoreForAllDebugChannels | ( |  | STATEMENT | ) |

Value:
LOG4CXX_INFO(log4cxx::Logger::getLogger("roboptim.core"), \
STATEMEMT)

#define RoboptimCoreForAllDebugObjects | ( |  | STATEMENT | ) |

Value:
LOG4CXX_INFO(log4cxx::Logger::getLogger("roboptim.core"), \
STATEMENT)